Search documentation of polar_express

# PolarExpress.Services.CustomerSessionsService (polar_express v0.1.5)

Copy Markdown View Source

Customer-sessions

CustomerSessions API operations.

## Summary

### Functions

create_customer_session(client, params \\ %{}, opts \\ [])

Create Customer Session

## Functions

# create_customer_session(client, params \\ %{}, opts \\ [])

    @spec create_customer_session(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.CustomerSession.t()}
      | {:error, PolarExpress.Error.t()}

Create Customer Session

Create a customer session.

For organizations with `member_model_enabled`, this will automatically create a member session for the owner member of the customer.

Scopes: `customer_sessions:write`

See `PolarExpress.Params.CustomerSessionsCreateCustomerSessionParams` for parameter details.